Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Data Structures | Functions
dfsd_priv.h File Reference
`#include "H4api_adpt.h"`
`#include "hdf.h"`

## Data Structures
struct | DFSsdg
struct | DFnsdgle
struct | DFnsdg_t_hdr

## Functions
int32 | DFSDIopen (const char *filename, int acc_mode)
int | DFSDIsdginfo (int32 file_id)
int | DFSDIclear (DFSsdg *sdg)
int | DFSDIclearNT (DFSsdg *sdg)
int | DFSDIgetdata (const char *filename, intn rank, int32 maxsizes[], void *data, int isfortran)
int | DFSDIputdata (const char *filename, intn rank, int32 *dimsizes, void *data, int accmode, int isfortran)
int | DFSDIgetslice (const char *filename, int32 winst[], int32 windims[], void *data, int32 dims[], int isfortran)
int | DFSDIputslice (int32 windims[], void *data, int32 dims[], int isfortran)
int | DFSDIendslice (int isfortran)
intn | DFSDIrefresh (char *filename)
int | DFSDIisndg (intn *isndg)
int | DFSDIgetrrank (intn *rank)
int | DFSDIgetwrank (intn *rank)
int | DFSDIsetdimstrs (int dim, const char *label, const char *unit, const char *format)
int | DFSDIsetdatastrs (const char *label, const char *unit, const char *format, const char *coordsys)

## Function Documentation

## ◆ DFSDIclear()

int DFSDIclear | ( | DFSsdg * | sdg | ) |
| extern

## ◆ DFSDIclearNT()

int DFSDIclearNT | ( | DFSsdg * | sdg | ) |
| extern

## ◆ DFSDIendslice()

int DFSDIendslice | ( | int | isfortran | ) |
| extern

## ◆ DFSDIgetdata()

int DFSDIgetdata | ( | const char * | filename,
|  | intn | rank,
|  | int32 | maxsizes[],
|  | void * | data,
|  | int | isfortran )
| extern

## ◆ DFSDIgetrrank()

int DFSDIgetrrank | ( | intn * | rank | ) |
| extern

## ◆ DFSDIgetslice()

int DFSDIgetslice | ( | const char * | filename,
|  | int32 | winst[],
|  | int32 | windims[],
|  | void * | data,
|  | int32 | dims[],
|  | int | isfortran )
| extern

## ◆ DFSDIgetwrank()

int DFSDIgetwrank | ( | intn * | rank | ) |
| extern

## ◆ DFSDIisndg()

int DFSDIisndg | ( | intn * | isndg | ) |
| extern

## ◆ DFSDIopen()

int32 DFSDIopen | ( | const char * | filename,
|  | int | acc_mode )
| extern

## ◆ DFSDIputdata()

int DFSDIputdata | ( | const char * | filename,
|  | intn | rank,
|  | int32 * | dimsizes,
|  | void * | data,
|  | int | accmode,
|  | int | isfortran )
| extern

## ◆ DFSDIputslice()

int DFSDIputslice | ( | int32 | windims[],
|  | void * | data,
|  | int32 | dims[],
|  | int | isfortran )
| extern

## ◆ DFSDIrefresh()

intn DFSDIrefresh | ( | char * | filename | ) |
| extern

## ◆ DFSDIsdginfo()

int DFSDIsdginfo | ( | int32 | file_id | ) |
| extern

## ◆ DFSDIsetdatastrs()

int DFSDIsetdatastrs | ( | const char * | label,
|  | const char * | unit,
|  | const char * | format,
|  | const char * | coordsys )
| extern

## ◆ DFSDIsetdimstrs()

int DFSDIsetdimstrs | ( | int | dim,
|  | const char * | label,
|  | const char * | unit,
|  | const char * | format )
| extern